> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Details by bank account ( STABLE )

> This API will return the details of the user associated with a specific bank account



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json post /3p/api/v1/bank-account/user
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v1/bank-account/user:
    post:
      tags:
        - Bank Accounts
        - Stable
      summary: Get User Details by bank account ( STABLE )
      description: >-
        This API will return the details of the user associated with a specific
        bank account
      operationId: a3584eaea5135ea2a0f3358ed223c861
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                bank_account:
                  $ref: '#/components/schemas/GetUserDetailsRequest'
              type: object
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    type: object
                    anyOf:
                      - $ref: '#/components/schemas/V1BusinessResponse'
                      - $ref: '#/components/schemas/V1RegisterPersonResponse'
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '403':
          description: User delete in progress
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      This user is not available as they have been scheduled for
                      deletion.
                  data:
                    type: string
                    example: null
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '404':
          description: Bank account not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: No bank account found with given details.
                  data:
                    type: string
                    example: null
                  errors:
                    type: string
                    example: null
                  error_code:
                    properties:
                      type:
                        type: string
                        example: client_error
                      subType:
                        type: string
                        example: account_uuid_not_found
                    type: object
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    GetUserDetailsRequest:
      required:
        - bank_account
      properties:
        bank_account:
          properties:
            uuid:
              type: string
              format: uuid
            aggregator_type:
              type: string
              enum:
                - plaid
                - manual
                - banklink
          type: object
      type: object
    V1BusinessResponse:
      properties:
        client_reference_id:
          type: string
          example: ''
        uuid:
          type: string
          example: 401c79dd-d38c-4c3a-8edf-1afac5914d2d
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        name:
          type: string
          example: Jack Inc.
        tin:
          type: string
          example: '961862955'
        user_status:
          type: string
          example: Approved|On Hold|Rejected
        kyb_status:
          type: string
          example: Approved|In Review|Failed|null
        kyb_rejected_reason:
          type: string
          example: null
        email:
          type: string
          example: ''
        phone:
          type: string
          example: ''
        financing_credit_balance:
          type: string
          example: null
        address:
          properties:
            street_address:
              type: string
              example: 20 Elmora Ave
            additional_address:
              type: string
              example: ''
            city:
              type: string
              example: Elizabeth
            state:
              type: string
              example: NJ
            country:
              type: string
              example: US
            zip:
              type: string
              example: '07202'
          type: object
        business_owners:
          properties:
            first_name:
              type: string
              example: Olive
            last_name:
              type: string
              example: Vein
            dob:
              type: string
              example: '1996-05-04'
            ssn9:
              type: string
              example: '123456789'
            address_line_1:
              type: string
              example: 778 E Encore Dr
            city:
              type: string
              example: Hanford
            state:
              type: string
              example: CA
            zip:
              type: string
              example: '93230'
          type: object
        created_at:
          type: string
          format: date-time
          example: '2024-06-03 15:58:44'
        updated_at:
          type: string
          format: date-time
          example: '2024-06-04 18:30:30'
      type: object
    V1RegisterPersonResponse:
      properties:
        client_reference_id:
          type: string
          example: ''
        uuid:
          type: string
          example: 401c79dd-d38c-4c3a-8edf-1afac5914d2d
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        email:
          type: string
          example: ''
        phone:
          type: string
          example: ''
        status:
          type: string
          example: Approved|On Hold|Rejected
        payout_type:
          type: string
          example: individual|batch
        address:
          properties:
            street_address:
              type: string
              example: 20 Elmora Ave
            additional_address:
              type: string
              example: ''
            city:
              type: string
              example: Elizabeth
            state:
              type: string
              example: NJ
            country:
              type: string
              example: US
            zip:
              type: string
              example: '07202'
          type: object
        created_at:
          type: string
          format: date-time
          example: '2024-06-03 15:58:44'
        updated_at:
          type: string
          format: date-time
          example: '2024-06-04 18:30:30'
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````